unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, DBGrids, Db, DBTables, UPTDBNavigator, ComCtrls, ExtCtrls,
  StdCtrls, QuickRpt, Qrctrls;

type
  TForm1 = class(TForm)
    PTUniversalDBNavigator1: TPTUniversalDBNavigator;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    PTDataSetFieldSelecter1: TPTDataSetFieldSelecter;
    PTAutomatedReport1: TPTAutomatedReport;
    PTDataSetTextExport1: TPTDataSetTextExport;
    PTDataSetSearcher1: TPTDataSetSearcher;
    PTUserFilter1: TPTUserFilter;
    DataSource1: TDataSource;
    Table1: TTable;
    DBGrid1: TDBGrid;
    Table1SpeciesNo: TFloatField;
    Table1Category: TStringField;
    Table1Common_Name: TStringField;
    Table1SpeciesName: TStringField;
    Table1Lengthcm: TFloatField;
    Table1Length_In: TFloatField;
    Table1Notes: TMemoField;
    Table1Graphic: TGraphicField;
    Table2: TTable;
    DataSource2: TDataSource;
    Table3: TTable;
    DataSource3: TDataSource;
    Table2EventNo: TAutoIncField;
    Table2VenueNo: TIntegerField;
    Table2Event_Name: TStringField;
    Table2Event_Date: TDateField;
    Table2Event_Time: TTimeField;
    Table2Event_Description: TMemoField;
    Table2Event_Photo: TGraphicField;
    DBGrid2: TDBGrid;
    Table2Ticket_price: TCurrencyField;
    TabSheet4: TTabSheet;
    DBGrid3: TDBGrid;
    Table3CustNo: TFloatField;
    Table3Company: TStringField;
    Table3Addr1: TStringField;
    Table3Addr2: TStringField;
    Table3City: TStringField;
    Table3State: TStringField;
    Table3Zip: TStringField;
    Table3Country: TStringField;
    Table3Phone: TStringField;
    Table3FAX: TStringField;
    Table3TaxRate: TFloatField;
    Table3Contact: TStringField;
    Table3LastInvoiceDate: TDateTimeField;
    Panel1: TPanel;
    Label1: TLabel;
    QuickRep1: TQuickRep;
    QRBand1: TQRBand;
    QRLabel1: TQRLabel;
    QRBand2: TQRBand;
    QRBand3: TQRBand;
    QRBand4: TQRBand;
    QRSysData1: TQRSysData;
    QuickRep2: TQuickRep;
    QRBand5: TQRBand;
    QRLabel2: TQRLabel;
    QRBand6: TQRBand;
    QRBand7: TQRBand;
    QRBand8: TQRBand;
    QRSysData2: TQRSysData;
    procedure PTAutomatedReport1BeforeCreate(Sender: TObject);
    function PTAutomatedReport1StringTag(Sender: TObject;
      AIn: String): String;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.PTAutomatedReport1BeforeCreate(Sender: TObject);
begin
      if PageControl1.ActivePage<>TabSheet3 then PTAutomatedReport1.AttachedReport:=QuickRep2
                                            else PTAutomatedReport1.AttachedReport:=QuickRep1;
end;

function TForm1.PTAutomatedReport1StringTag(Sender: TObject;
  AIn: String): String;
begin
      if AIn='REP_TITLE' then Result:=PageControl1.ActivePage.Caption+' report';
end;

end.
